creation
Posts: 11
Joined: Wed Feb 08, 2012 5:46 pm

Unable to install xorg-server

Sat May 26, 2012 1:14 pm

I got my Raspberry Pi today and am setting up Arch on it.

I am trying to install xorg-sever but I keep getting the error message

Code: Select all

File /var/cache/pacman/pgk/xorg-bdftopcf-1.0.3-2-arm.pkg.tar.xz is corrupt (invalid or corrputed (checksum)))
I have cleared the cache using pacman -Scc, but everytime I download xorg-bdftopcf it says its corrupted. Any ideas?

mister_green
Posts: 1
Joined: Sun May 27, 2012 6:38 pm

Re: Unable to install xorg-server

Sun May 27, 2012 6:43 pm

Have you got your mirrors up to date?

Code: Select all

pacman -Syyu 

creation
Posts: 11
Joined: Wed Feb 08, 2012 5:46 pm

Re: Unable to install xorg-server

Mon May 28, 2012 9:34 am

Yes all my mirrors are up to date. I have edited the mirror list as well so it will download the packages from a different source, but it still has the same problem.

creation
Posts: 11
Joined: Wed Feb 08, 2012 5:46 pm

Re: Unable to install xorg-server

Mon May 28, 2012 10:28 am

I don't suppose someone has an older version of that package in their pacman cache folder they are willing to share?

creation
Posts: 11
Joined: Wed Feb 08, 2012 5:46 pm

Re: Unable to install xorg-server

Tue May 29, 2012 7:44 am

Looks like the MD5 sum was wrong. I now know why as well, cause my brother has been messing about with the firewall on the router, so I had to "bypass" it and its all ok.

Return to “Arch”